import * as $dara from '@darabonba/typescript';
export declare class GetModuleConfigStatusResponseBodyDataModuleConfigResults extends $dara.Model {
    /**
     * @remarks
     * The name of the check item. Valid values:
     *
     * *   **Ransom**: The anti-ransomware policy is enabled.
     * *   **WebLock**: The web tamper proofing feature is enabled.
     * *   **Rasp**: Applications are added to the application protection feature.
     * *   **Image**: The container images that can be scanned are specified.
     * *   **Virus**: The periodic virus scan policy is enabled.
     *
     * @example
     * Ransom
     */
    moduleName?: string;
    /**
     * @remarks
     * Indicates whether the service module passed the status check. Valid values:
     *
     * *   **true**
     * *   **false**
     *
     * @example
     * true
     */
    pass?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetModuleConfigStatusResponseBodyData extends $dara.Model {
    /**
     * @remarks
     * The check results of the service modules.
     */
    moduleConfigResults?: GetModuleConfigStatusResponseBodyDataModuleConfigResults[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class GetModuleConfigStatusResponseBody extends $dara.Model {
    /**
     * @remarks
     * The data returned.
     */
    data?: GetModuleConfigStatusResponseBodyData;
    /**
     * @remarks
     * The ID of the request, which is used to locate and troubleshoot issues.
     *
     * @example
     * 843E4805-****-7EE12FA8DBFD
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
